PulseTestLocators.RegionDetailsView (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.tools.pulse.tests

## Class PulseTestLocators.RegionDetailsView

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.PulseTestLocators.RegionDetailsView

- Enclosing class:
    PulseTestLocators

      public static class PulseTestLocators.RegionDetailsView
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `diskReadsId`
    `static java.lang.String` | `diskWritesId`
    `static java.lang.String` | `gridButtonXpath`
    `static java.lang.String` | `inMemoryReadsId`
    `static java.lang.String` | `inMemoryWritesId`
    `static java.lang.String` | `memberNameId`
    `static java.lang.String` | `memoryUsedId`
    `static java.lang.String` | `regionDiskUsageId`
    `static java.lang.String` | `regionEmptyNodesId`
    `static java.lang.String` | `regionEntryCountTextId`
    `static java.lang.String` | `regionMembersTextId`
    `static java.lang.String` | `regionNameDivId`
    `static java.lang.String` | `regionPathId`
    `static java.lang.String` | `regionPersistenceId`
    `static java.lang.String` | `regionTypeId`
    `static java.lang.String` | `totalMemoryId`
    `static java.lang.String` | `treeMapCanvasXpath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionDetailsView()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### regionNameDivId

          public static final java.lang.String regionNameDivId

      See Also:
        Constant Field Values

    - #### regionPathId

          public static final java.lang.String regionPathId

      See Also:
        Constant Field Values

    - #### treeMapCanvasXpath

          public static final java.lang.String treeMapCanvasXpath

      See Also:
        Constant Field Values

    - #### regionTypeId

          public static final java.lang.String regionTypeId

      See Also:
        Constant Field Values

    - #### regionMembersTextId

          public static final java.lang.String regionMembersTextId

      See Also:
        Constant Field Values

    - #### regionEmptyNodesId

          public static final java.lang.String regionEmptyNodesId

      See Also:
        Constant Field Values

    - #### regionEntryCountTextId

          public static final java.lang.String regionEntryCountTextId

      See Also:
        Constant Field Values

    - #### regionDiskUsageId

          public static final java.lang.String regionDiskUsageId

      See Also:
        Constant Field Values

    - #### regionPersistenceId

          public static final java.lang.String regionPersistenceId

      See Also:
        Constant Field Values

    - #### gridButtonXpath

          public static final java.lang.String gridButtonXpath

      See Also:
        Constant Field Values

    - #### memoryUsedId

          public static final java.lang.String memoryUsedId

      See Also:
        Constant Field Values

    - #### totalMemoryId

          public static final java.lang.String totalMemoryId

      See Also:
        Constant Field Values

    - #### inMemoryReadsId

          public static final java.lang.String inMemoryReadsId

      See Also:
        Constant Field Values

    - #### inMemoryWritesId

          public static final java.lang.String inMemoryWritesId

      See Also:
        Constant Field Values

    - #### diskReadsId

          public static final java.lang.String diskReadsId

      See Also:
        Constant Field Values

    - #### diskWritesId

          public static final java.lang.String diskWritesId

      See Also:
        Constant Field Values

    - #### memberNameId

          public static final java.lang.String memberNameId

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegionDetailsView

          public RegionDetailsView()